%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define epiver 2.30.0
%define api_version 2.29
%define dir_version 2.29
%define git 0
%if %git
%define release 1
%else
%define release %mkrel 2
%endif

Summary: Extensions for the GNOME Web Browser, Epiphany
Name: epiphany-extensions
Version: 2.32.0
Release: %release
%if %git
Source0:       %{name}-%{git}.tar.xz
%else
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
%endif
## The Live HTTP Headers extension is LGPLv2.1+; the Gestures extension is
## GPLv2 (only); and all other extensions are GPLv2+.
License:        LGPLv2+ and GPLv2 and GPLv2+ and GFDL
Group: Networking/WWW
Url: http://www.gnome.org/projects/epiphany/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: epiphany-devel >= %epiver
BuildRequires: OpenSP-devel
BuildRequires: dbus-devel >= 0.50
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
Requires: epiphany >= %epiver
Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description
This package contains the following extensions for the GNOME Web Browser:
Actions
Ad blocker
Auto-Reload
Auto-scroller
Certificates
Extension Manager
Gestures
Greasemonkey
HTML5 Tube
Push scroller
RSS
SoupFly
Tab groups
Tab Key Tab Navigate
Tab states

%prep
%if %git
%setup -q -n %name
./autogen.sh -V
%else
%setup -q
%endif

cp extensions/error-viewer/README README.error-viewer

%build
#gw not enabled extensions:
#net-monitor 
%configure2_5x 
#--with-extensions=actions,adblock,auto-reload,auto-scroller,certificates,cc-license-viewer,epilicious,error-viewer,extensions-manager-ui,favicon,gestures,greasemonkey,java-console,livehttpheaders,page-info,permissions,push-scroller,python-console,rss,select-stylesheet,sidebar,tab-groups,tab-states

%make

%install
rm -rf $RPM_BUILD_ROOT *.lang
%makeinstall_std
%find_lang %name-%api_version
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

cat %name.lang >> %name-%api_version.lang


#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/epiphany/%{dir_version}/extensions/*.la \
      %buildroot/var/lib/scrollkeeper

%postun
%clean_scrollkeeper


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-%api_version.lang
%defattr(-,root,root)
%doc COPYING* AUTHORS NEWS README*
#%doc ChangeLog
%doc extensions/gestures/ephy-gestures.xml
#%_sysconfdir/gconf/schemas/epilicious.schemas
%_datadir/%name/
%_datadir/epiphany/icons/hicolor/*/status/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_libdir/epiphany/%{dir_version}/extensions/*.so
%_libdir/epiphany/%{dir_version}/extensions/actions.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/adblock.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/auto-reload.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/auto-scroller.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/certificates.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/extensions-manager-ui.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/gestures.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/greasemonkey.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/html5tube.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/push-scroller.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/rss.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/soup-fly.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/tab-groups.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/tab-key-tab-navigate.ephy-extension
%_libdir/epiphany/%{dir_version}/extensions/tab-states.ephy-extension





%changelog
* Wed Mar 09 2011 ennael <ennael> 2.32.0-2.mga1
+ Revision: 66894
- imported package epiphany-extensions


* Thu Aug 19 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 571305
- update to new version 2.32.0

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-2mdv2011.0
+ Revision: 550713
- update to new version 2.30.1

* Fri May 07 2010 Michael Scherer <misc@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 543294
- rebuild, to fix extensionis loading, bug #59143

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 530580
- new version
- bump epi dep
- new plugins directory

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510051
- new version
- add Tab Key Tab Navigate extension

* Fri Jan 29 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 497900
- new version
- readd gestures extension
- add auto-reload and HTML5 tube extensions

* Thu Jan 14 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-0.20091221.1mdv2010.1
+ Revision: 491155
- new snapshot from git for epi 2.29
- remove gestures and sidebar extensions
- add rss extension

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458668
- Release 2.28.1
- Remove patch0

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447058
- new version
- depend on new epiphany

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437416
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420845
- update to new version 2.27.91

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 400716
- update to new version 2.27.5

* Mon Jul 13 2009 Funda Wang <fwang@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395431
- New version 2.27.4

* Fri Jul 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-0.20090703.1mdv2010.0
+ Revision: 394176
- new snapshot
- update file list

* Wed Jun 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-0.20090624.1mdv2010.0
+ Revision: 388841
- new snapshot
- update description

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-0.20090610.1mdv2010.0
+ Revision: 386825
- new snapshot

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-0.20090416.3mdv2010.0
+ Revision: 386801
- disable another extension
- disable incompatible extensions

* Sun May 31 2009 Funda Wang <fwang@mandriva.org> 2.27.0-0.20090416.2mdv2010.0
+ Revision: 381584
- rebuild

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-0.20090416.1mdv2010.0
+ Revision: 374727
- new snapshot
- fix build
- remove smart bookmarks extension
- bump deps

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366996
- new version
- drop patch

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 363033
- fix omf file list

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355477
- new version
- fix plugin dir

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341430
- new version
- drop patch 1
- update epiphany dep

* Sat Jan 24 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-2mdv2009.1
+ Revision: 333264
- patch for new epiphany

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 328730
- new version
- fix format string

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295948
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287255
- new version
- drop patch
- build against epiphany 2.24

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 280232
- new version
- fix build deps

* Tue Jul 29 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-3mdv2009.0
+ Revision: 253858
- build with xulrunner

* Tue Jul 29 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-2mdv2009.0
+ Revision: 252576
- build with epiphany 2.23

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211618
- new version
- drop patch
- update license tag

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192460
- new version
- drop patch 1

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 187101
- add patches to fix smart-bookmarks and page info extensions

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 187041
- remove smart-bookmarks schema file
- disable smart-bookmarks and page-info extensions (Reinout)

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 185959
- new version
- bump deps
- update api version

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175665
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-0.1648.1mdv2008.1
+ Revision: 139682
- svn snapshot to have working extensions for epi 2.21

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98737
- new version

* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 90803
- new version
- bump deps

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63155
- new version

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56750
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50713
- new version

* Sat Jun 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 37663
- rebuild for new libosp

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 36039
- new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32246
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14001
- new version


* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 143331
- fix epilicious plugin (reinout

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142030
- new version
- bump deps

* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 130933
- new version
- enable epilicious (Reinout)
- update file list

* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-2mdv2007.1
+ Revision: 103512
- enable creative commons license viewer (Reinout)

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99120
- new version
- install gconf schemas
- bump deps
- update file list

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-2mdv2007.1
+ Revision: 92060
- fix firefox detection

* Sat Dec 02 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2007.1
+ Revision: 90027
- new version
- handle scrollkeeper
- fix directory ownership

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2007.0
+ Revision: 65996
- add livehttpheaders extension
- Import epiphany-extensions

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Rebuild with latest firefox

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.0
- disable dashboard

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- New release 2.16.0

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1

* Tue May 16 2006 Götz Waschk <waschk@mandriva.org> 2.14.1.1-1mdk
- New release 2.14.1.1

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- rebuild for new firefox

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix buildrequires

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
-

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patches 1, 2 (merged upstream)

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-3mdk
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-2mdk
- rebuild for new mozilla-firefox
- use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- New release 1.8.2

* Tue Oct 18 2005 Gtz Waschk <waschk@mandriva.org> 1.8.1-2mdk
- fix list of enabled extensions (bug #19289)

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.1-1mdk
- Release 1.8.1
- Remove patch0 (merged upstream)

* Sat Sep 17 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-4mdk
- disable adblock extension

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-3mdk
- Add requires_exception to prevent from asking mozilla

* Sat Aug 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.5-2mdk
- add BuildRequires: gnome-common intltool

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- New release 1.6.5

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-4mdk 
- Drop sample extensions

* Wed Jul 20 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-3mdk
- fix buildrequires

* Wed Jul 20 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-2mdk
- enable all extensions

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- New release 1.6.4

* Sun May 29 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.3-3mdk
- add BuildRequires: automake1.9

* Thu May 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk 
- Rebuild with FF 1.0.4
- don't package .la files
- Patch1: fix extensions so name

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- New release 1.6.2
- requires new epiphany
- enable all extensions
- patch for firefox
- fix deps

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.5-1mdk
- New release 1.4.5

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-2mdk 
- Rebuild with mozilla 1.7.5

* Mon Dec 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- New release 1.4.4

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- requires new epiphany
- New release 1.4.3

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- fix file list
- New release 1.4.2
- Remove patch0 (merged upstream)

* Fri Sep 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- patch to build with mozilla 1.7.2

* Tue Aug 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- requires new epiphany
- New release 0.9.1

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- reallow libtoolize
- rebuild for new g++

* Tue May 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-6mdk
- rebuild for new mozilla

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-5mdk
- fix buildrequires again

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-4mdk
- requires epiphany 1.2.1
- another buildrequires fix

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- fix buildrequires

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- First package from Gtz Waschk

